Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.filesystem
Interface Entry

All Known Subinterfaces:
  DirectoryEntry, DocumentEntry

All Known Implementing Classes:
  DirectoryNode, DocumentNode, EntryNode

    public interface Entry

This interface provides access to an object managed by a Filesystem instance. Entry objects are further divided into DocumentEntry and DirectoryEntry instances.

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`boolean` | `delete()` Delete this Entry.
`java.lang.String` | `getName()` get the name of the Entry
`DirectoryEntry` | `getParent()` get this Entry's parent (the DirectoryEntry that owns this Entry).
`boolean` | `isDirectoryEntry()` is this a DirectoryEntry?
`boolean` | `isDocumentEntry()` is this a DocumentEntry?
`boolean` | `renameTo(java.lang.String newName)` Rename this Entry.

Method Detail

### getName

    java.lang.String getName()

  get the name of the Entry

  Returns:
    name

### isDirectoryEntry

    boolean isDirectoryEntry()

  is this a DirectoryEntry?

  Returns:
    true if the Entry is a DirectoryEntry, else false

### isDocumentEntry

    boolean isDocumentEntry()

  is this a DocumentEntry?

  Returns:
    true if the Entry is a DocumentEntry, else false

### getParent

    DirectoryEntry getParent()

  get this Entry's parent (the DirectoryEntry that owns this Entry). All Entry objects, except the root Entry, has a parent.

  Returns:
    this Entry's parent; null iff this is the root Entry

### delete

    boolean delete()

  Delete this Entry. This operation should succeed, but there are special circumstances when it will not: If this Entry is the root of the Entry tree, it cannot be deleted, as there is no way to create another one. If this Entry is a directory, it cannot be deleted unless it is empty.

  Returns:
    true if the Entry was successfully deleted, else false

### renameTo

    boolean renameTo(java.lang.String newName)

  Rename this Entry. This operation will fail if: There is a sibling Entry (i.e., an Entry whose parent is the same as this Entry's parent) with the same name. This Entry is the root of the Entry tree. Its name is dictated by the Filesystem and many not be changed.

  Parameters:
    `newName` - the new name for this Entry
  Returns:
    true if the operation succeeded, else false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.